/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing BlobApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class BlobApiTests : IDisposable
    {
        private BlobApi instance;

        public BlobApiTests()
        {
            instance = new BlobApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of BlobApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' BlobApi
            //Assert.IsType<BlobApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourcesResourceIdBlobsOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourcesResourceIdBlobsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //string resourceId = null;
            //instance.ApiV2ProjectsProjectIdResourcesResourceIdBlobsOptions(projectId, resourceId);
        }

        /// <summary>
        /// Test CreateBlob
        /// </summary>
        [Fact]
        public void CreateBlobTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string key = null;
            //System.IO.Stream? file = null;
            //instance.CreateBlob(projectId, resourceId, key, file);
        }

        /// <summary>
        /// Test DeleteBlob
        /// </summary>
        [Fact]
        public void DeleteBlobTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string key = null;
            //instance.DeleteBlob(projectId, resourceId, key);
        }

        /// <summary>
        /// Test GetBlob
        /// </summary>
        [Fact]
        public void GetBlobTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string key = null;
            //var response = instance.GetBlob(projectId, resourceId, key);
            //Assert.IsType<System.IO.Stream>(response);
        }

        /// <summary>
        /// Test UpdateBlob
        /// </summary>
        [Fact]
        public void UpdateBlobTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string key = null;
            //System.IO.Stream? file = null;
            //instance.UpdateBlob(projectId, resourceId, key, file);
        }
    }
}
